#include "common.ch"
#include "inkey.ch"
#include "fileio.ch"
#include "box.ch"

#translate KsgRead()                          =>    ;
    ( SETCURSOR( 3 ), READMODAL( getlist ),         ;
      getlist := {}, SETCURSOR( 0 ),                ;
      !( LASTKEY() = 27 )                           )

#xtranslate FILEFOUND( <foo> ) => ;
            IF( !FILE( <foo> ), ;
                EVAL( { || ALERT( <foo> + " not found" ), .F. } ), ;
                .T. ;
            )

#xcommand if <true> then <action>  => if <true> ; <action> ; end
#xcommand FWriteLine( <h>, <str> ) => FWrite( <h>, <str> + CHR(13)+CHR(10) )

#define USE_CLOCK
#define ST_LEN       4
#define ST_ROW       1
#define ST_COL       2
#define ST_COLOR     3
#define ST_CURRENT   4
#define F_BOF        0
#define ALTC         302
#define MR           MAXROW()
#define MC           MAXCOL()
#define RPT_FILE     "CONVERT.RPT"
#define CmdSpecs     "?~/?~-?~H~/H~-H~HELP~/HELP~-HELP"
#define ERRORMSG1    IF( EMPTY( cFileIn ), "ABORTED", "FILE NOT FOUND!" )
#define xBLOCK       { | a,b,c | Error_MSG( a,b,c) }



